// ---------------------------------------------------------------------------
//
// easyRun(easyAmpel1.PAS)                               Ulrich Mller 5.12.01
//                                                       Procida 400NT Delphi4
// Unit zur Erstellung eigener Delphi4-Programme zum Betrieb von ft-Modellen
// auf Basis von umFishEx, umFish.DLL und easyMain
// die weiteren Units mssen nicht modifiziert werden.
// es stehen die normalen Delphi4 Sprachmittel und Funktionen aus
// umFishEx und easyMain zur Verfgung.
//
//  ---- Computing Starter : Ampel 1 ----
//
// ---------------------------------------------------------------------------

unit easyAmpel1;
interface
const            // --- Konstanten zum Ansprechen der InterfaceGerte ---
  mRot = 1; mGelb = 2; mGruen = 3; mM4 = 4;
  eAnforderung = 1; eBlinken = 2; eE3 = 3; eE4 = 4; eE5 = 5; eE6 = 6; eE7 = 7; eE8 = 8;
  aEX = 0; aEY = 1;
  wFaktor = 1; wW2 = 2;
const            // --- Beschriftung des InterfacePanels ------
  clblTitel = 'Ampel 1';
  clblE: array[1..8] of string = ('Anforderung', 'Blinken', 'E3', 'E4',
                                   'E5', 'E6', 'E7', 'E8');
  clblM: array[1..4] of string = ('Rot', 'Gelb', 'Grn', 'M4');
  clblA: array[1..2] of string = ('EX', 'EY');
  clblW: array[1..2] of string = ('Faktor', 'Wert 2');
  ctxtW: array[1..2] of string = ('1', '0');

//  ---------------- bei Bedarf an das Programm anpassen ------

procedure fishMain();
implementation
uses Windows, Messages, SysUtils, Forms, Dialogs,
     easyMain, umFishEx;


var             // --- Variable der Anwendung ---------------------------
  res: Cardinal;

procedure fishMain;  // --- HauptProcedure, Name ist fest
                     //     Aufruf ber START-Button
                     //     Es knnen beliebige weitere procedure und
                     //     function erstellt werden.
begin
  repeat             // --- Endlosschleife, Ende : HALT-Button
    printStatus('Anfordern');
    ftiSetMotor(mGruen, ftiEin);
    ftiWaitForInput(eAnforderung, true);
    printStatus('Fugngerphase');
    ftiWaitForTime(300 * Werte(wFaktor));
    ftiSetMotor(mGruen, ftiAus);
    ftiSetMotor(mGelb, ftiEin);
    ftiWaitForTime(400 * Werte(wFaktor));
    ftiSetMotor(mGelb, ftiAus);
    ftiSetMotor(mRot, ftiEin);
    ftiWaitForTime(1000 * Werte(wFaktor));
    ftiSetMotor(mGelb, ftiEin);
    ftiWaitForTime(300 * Werte(wFaktor));
    ftiSetMotor(mRot, ftiAus);
    ftiSetMotor(mGelb, ftiAus);
  until ftiFinish(0);
end;

end.
