// ---------------------------------------------------------------------------
//
// easyRun(easyTuer2.PAS)                                Ulrich Mller 5.12.01
//                                                       Procida 400NT Delphi4
// Unit zur Erstellung eigener Delphi4-Programme zum Betrieb von ft-Modellen
// auf Basis von umFishEx, umFish.DLL und easyMain
// die weiteren Units mssen nicht modifiziert werden.
// es stehen die normalen Delphi4 Sprachmittel und Funktionen aus
// umFishEx und easyMain zur Verfgung.
//
//  ---- Computing Starter : Schiebetr 2 ----
//
// ---------------------------------------------------------------------------

unit easyTuer2;
interface
const            // --- Konstanten zum Ansprechen der InterfaceGerte ---
  mTuer = 1; mLampe = 2; mM3 = 3; mM4 = 4;
  eTuerZu = 1; eTuerAuf = 2; etuerOeffnen = 3; ePhotoTransistor = 4; eE5 = 5; eE6 = 6; eE7 = 7; eE8 = 8;
  aEX = 0; aEY = 1;
  wW1 = 1; wW2 = 2;
const            // --- Beschriftung des InterfacePanels ------
  clblTitel = 'Schiebetr 2';
  clblE: array[1..8] of string = ('TrZu', 'TrAuf', 'Trffnen', 'Lichtschranke',
                                   'E5', 'E6', 'E7', 'E8');
  clblM: array[1..4] of string = ('Tr', 'Lichtschranke', 'M3', 'M4');
  clblA: array[1..2] of string = ('EX', 'EY');
  clblW: array[1..2] of string = ('Wert 1', 'Wert 2');
  ctxtW: array[1..2] of string = ('0', '0');

//  ---------------- bei Bedarf an das Programm anpassen ------

procedure fishMain();
implementation
uses Windows, Messages, SysUtils, Forms, Dialogs,
     easyMain, umFishEx;


var             // --- Variable der Anwendung ---------------------------
  res: Cardinal;

procedure TuerOeffnen();
begin
  ftiSetMotor(mTuer, ftiRechts);
  ftiWaitForInput(eTuerAuf, true);
  ftiSetMotor(mTuer, ftiAus);
  printStatus('Tr ist offen');
  ftiWaitForTime(5000);
end;

procedure fishMain;  // --- Haupt Procedure, Name ist fest
                     //     Aufruf ber START-Button
                     //     Es knnen beliebige weitere procedure und
                     //     function erstellt werden.
begin
  ftiSetMotor(mLampe, ftiEin);
  ftiWaitForTime(1000);
  ftiWaitForInput(ePhotoTransistor, true);
  repeat             // --- Endlosschleife, Ende : HALT-Button
    while ftiGetInput(eTuerZu) do begin
      ftiSetMotor(mTuer, ftiLinks);
      if not ftiGetInput(ePhotoTransistor) then TuerOeffnen();
    end;
    ftiSetMotor(mTuer, ftiAus);
    printStatus('Tr ist geschlossen');
    ftiWaitForInput(eTuerOeffnen, true);
    TuerOeffnen();
  until ftiFinish(0);
end;

end.
